commit:     f07f51f14b6ff6ce8efd627dc64cdd52d62f2630
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 17 00:08:29 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 17 00:08:40 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f07f51f1

sys-process/procps: add 4.0.5

Closes: https://bugs.gentoo.org/948479
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-process/procps/Manifest                        |   1 +
 .../files/procps-4.0.5-fix-tests-multilib.patch    |  34 ++++++
 .../procps/files/procps-4.0.5-sysctl-manpage.patch |  33 ++++++
 sys-process/procps/procps-4.0.5.ebuild             | 119 +++++++++++++++++++++
 4 files changed, 187 insertions(+)

diff --git a/sys-process/procps/Manifest b/sys-process/procps/Manifest
index a6fe2b6856a4..6e5851528122 100644
--- a/sys-process/procps/Manifest
+++ b/sys-process/procps/Manifest
@@ -1,2 +1,3 @@
 DIST procps-ng-3.3.17.tar.xz 1008428 BLAKE2B 
43aa1a21d4f0725b1c02457f343cf1fc66bc1771b25c6eaf689c9775c190e90545bfac1729f027abc4d3d13de37ffac4828554b5b25e12bcf6af9540de1695f3
 SHA512 
59e9a5013430fd9da508c4655d58375dc32e025bb502bb28fb9a92a48e4f2838b3355e92b4648f7384b2050064d17079bf4595d889822ebb5030006bc154a1a7
 DIST procps-ng-4.0.4.tar.xz 1401540 BLAKE2B 
63b972666ef9e92042be96739ffa15c787d0346b2d3ffcb0d240b0a4e999dc90024b2c5b058df683dd9d2c436ceb812abd0b115cc877a6ca1023988b86de443f
 SHA512 
94375544e2422fefc23d7634063c49ef1be62394c46039444f85e6d2e87e45cfadc33accba5ca43c96897b4295bfb0f88d55a30204598ddb26ef66f0420cefb4
+DIST procps-ng-4.0.5.tar.xz 1517672 BLAKE2B 
4b273ac7737202147fbf392995da1c5ff385df2b53ad84180b6412dc45c2a671e81d7659c0a5824c0d8c19fa37cbf2e58b0545841c74399b3717a9f27fd26c23
 SHA512 
c27730743210cf850c4af98e1fb81bc8ee8d550b07b9eedb34a5b9d661263d0f1bc92c4e73802a0ed8d4405854aef4bc542bff283c28e8fbb6dabb967f9e4359

diff --git a/sys-process/procps/files/procps-4.0.5-fix-tests-multilib.patch 
b/sys-process/procps/files/procps-4.0.5-fix-tests-multilib.patch
new file mode 100644
index 000000000000..05ea4973e0b2
--- /dev/null
+++ b/sys-process/procps/files/procps-4.0.5-fix-tests-multilib.patch
@@ -0,0 +1,34 @@
+https://gitlab.com/procps-ng/procps/-/merge_requests/256
+
+From 2cc229991d2c89c93d58d7ad4bc30fd272d8e2df Mon Sep 17 00:00:00 2001
+Message-ID: 
<2cc229991d2c89c93d58d7ad4bc30fd272d8e2df.1750118248.git....@gentoo.org>
+From: Sam James <[email protected]>
+Date: Tue, 17 Jun 2025 00:56:23 +0100
+Subject: [PATCH] testsuite: only test freetop if we built it
+
+It's not built if configured with --without-ncurses. Similar to
+aa85fb458a295135d8283cd5ffacfe8198cdae22.
+
+Signed-off-by: Sam James <[email protected]>
+--- a/testsuite/Makefile.am
++++ b/testsuite/Makefile.am
+@@ -21,7 +21,7 @@ DEJATOOL += \
+ 
+ if !CYGWIN
+ if WITH_NCURSES
+-DEJATOOL += slabtop
++DEJATOOL += slabtop hugetop
+ endif
+ 
+ DEJATOOL += sysctl
+@@ -37,7 +37,6 @@ endif
+ 
+ DEJATOOL += \
+       free \
+-      hugetop \
+       lib \
+       pgrep \
+       pkill \
+-- 
+2.50.0
+

diff --git a/sys-process/procps/files/procps-4.0.5-sysctl-manpage.patch 
b/sys-process/procps/files/procps-4.0.5-sysctl-manpage.patch
new file mode 100644
index 000000000000..d2abd3c43c65
--- /dev/null
+++ b/sys-process/procps/files/procps-4.0.5-sysctl-manpage.patch
@@ -0,0 +1,33 @@
+https://bugs.gentoo.org/565304
+--- a/man/sysctl.8
++++ b/man/sysctl.8
+@@ -177,21 +177,21 @@ skipped by \fBsysctl\fR using the \fB\-\-all\fR option.
+ This parameter returns no value but flushes per-cpu vm statistics.
+ 
+ .SH EXAMPLES
+-/sbin/sysctl \-a
++/usr/sbin/sysctl \-a
+ .br
+-/sbin/sysctl \-n kernel.hostname
++/usr/sbin/sysctl \-n kernel.hostname
+ .br
+-/sbin/sysctl \-w kernel.domainname="example.com"
++/usr/sbin/sysctl \-w kernel.domainname="example.com"
+ .br
+-/sbin/sysctl \-p/etc/sysctl.conf
++/usr/sbin/sysctl \-p/etc/sysctl.conf
+ .br
+-/sbin/sysctl \-a \-\-pattern forward
++/usr/sbin/sysctl \-a \-\-pattern forward
+ .br
+-/sbin/sysctl \-a \-\-pattern forward$
++/usr/sbin/sysctl \-a \-\-pattern forward$
+ .br
+-/sbin/sysctl \-a \-\-pattern 'net.ipv4.conf.(eth|wlan)0.arp'
++/usr/sbin/sysctl \-a \-\-pattern 'net.ipv4.conf.(eth|wlan)0.arp'
+ .br
+-/sbin/sysctl \-\-pattern '\[char94]net.ipv6' \-\-system
++/usr/sbin/sysctl \-\-pattern '\[char94]net.ipv6' \-\-system
+ .SH SEE ALSO
+ .BR proc (5),
+ .BR sysctl.conf (5),

diff --git a/sys-process/procps/procps-4.0.5.ebuild 
b/sys-process/procps/procps-4.0.5.ebuild
new file mode 100644
index 000000000000..8b5b4c46361a
--- /dev/null
+++ b/sys-process/procps/procps-4.0.5.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic multilib-minimal
+
+DESCRIPTION="Standard informational utilities and process-handling tools"
+HOMEPAGE="https://gitlab.com/procps-ng/procps";
+# Per e.g. https://gitlab.com/procps-ng/procps/-/releases/v4.0.5, the dist 
tarballs
+# are still hosted on SF.
+SRC_URI="https://downloads.sourceforge.net/${PN}-ng/${PN}-ng-${PV}.tar.xz";
+S="${WORKDIR}"/${PN}-ng-${PV}
+
+# See bug #913210
+LICENSE="GPL-2+ LGPL-2+ LGPL-2.1+"
+SLOT="0/0-ng"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="elogind +kill modern-top +ncurses nls selinux static-libs skill systemd 
test unicode"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       elogind? ( sys-auth/elogind )
+       ncurses? ( >=sys-libs/ncurses-5.7-r7:=[unicode(+)?] )
+       selinux? ( sys-libs/libselinux[${MULTILIB_USEDEP}] )
+       systemd? ( sys-apps/systemd[${MULTILIB_USEDEP}] )
+"
+RDEPEND="
+       ${DEPEND}
+       !<app-i18n/man-pages-l10n-4.2.0-r1
+       !<app-i18n/man-pages-de-2.12-r1
+       !<app-i18n/man-pages-pl-0.7-r1
+       kill? (
+               !sys-apps/coreutils[kill]
+               !sys-apps/util-linux[kill]
+       )
+"
+BDEPEND="
+       elogind? ( virtual/pkgconfig )
+       ncurses? ( virtual/pkgconfig )
+       systemd? ( virtual/pkgconfig )
+       test? ( dev-util/dejagnu )
+"
+
+# bug #898830
+QA_CONFIG_IMPL_DECL_SKIP=( makedev )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.0.4-xfail-pmap-test.patch
+       "${FILESDIR}"/${PN}-4.0.5-sysctl-manpage.patch # bug #565304
+       "${FILESDIR}"/${PN}-4.0.5-fix-tests-multilib.patch
+)
+
+src_prepare() {
+       default
+
+       # Only needed for fix-tests-multilib.patch
+       eautoreconf
+}
+
+multilib_src_configure() {
+       # 
http://www.freelists.org/post/procps/PATCH-enable-transparent-large-file-support
+       # bug #471102
+       append-lfs-flags
+
+       local myeconfargs=(
+               # No elogind multilib support
+               $(multilib_native_use_with elogind)
+               $(multilib_native_use_enable kill)
+               $(multilib_native_use_enable modern-top)
+               $(multilib_native_enable pidof)
+               $(multilib_native_use_with ncurses)
+               # bug #794997
+               $(multilib_native_use_enable !elibc_musl w)
+               $(use_enable nls)
+               $(use_enable selinux libselinux)
+               $(use_enable static-libs static)
+               $(use_with systemd)
+               $(use_enable skill)
+       )
+
+       if use ncurses; then
+               # Only pass whis when we are building the 'watch' command
+               myeconfargs+=( $(multilib_native_use_enable unicode watch8bit) )
+       fi
+
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+       local ps="${BUILD_DIR}/src/ps/pscommand"
+       if [[ $("${ps}" --no-headers -o cls -q $$) == IDL ]]; then
+               # bug #708230
+               ewarn "Skipping tests due to SCHED_IDLE"
+       else
+               # bug #461302
+               emake check </dev/null
+       fi
+}
+
+multilib_src_install() {
+       default
+
+       dodoc "${S}"/sysctl.conf
+
+       if multilib_is_native_abi; then
+               # We keep ps and kill in /bin per bug #565304.
+               dodir /bin
+               mv "${ED}"/usr/bin/ps "${ED}"/bin/ || die
+               if use kill; then
+                       mv "${ED}"/usr/bin/kill "${ED}"/bin/ || die
+               fi
+       fi
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to